# this document processor is used to cache all the documents in memory


package remproc;

use classify;
use doc;
use docproc;

BEGIN {
    @ISA = ('docproc');
}


sub new {
    my ($class) = @_;
    my $self = {'docs'=>[]};

    return bless $self, $class;
}

sub process {
    my $self = shift (@_);
    my ($doc_obj, $filename) = @_;

    push (@{$self->{'docs'}}, {'doc_obj'=>$doc_obj,
			       'filename'=>$filename});
}

sub get_doc_list {
    my $self = shift (@_);

    return $self->{'docs'};
}

1;

