/**********************************************************************
 *
 * gsdltimes.h -- functions to deal with time
 * Copyright (C) 1999  DigiLib Systems Limited, New Zealand
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: gsdltimes.h 371 1999-07-11 10:52:56Z rjmcnab $
 *
 *********************************************************************/


#ifndef GSDLTIMES_H
#define GSDLTIMES_H

#include <time.h>
#include "text_t.h"

// dates are stored in the format YYYY/MM/DD hh:mm:ss

// returns "" if an error occurs
text_t time2text (time_t time);

// returns -1 if an error occurs
time_t text2time (const text_t &timestr);

#endif
