/**********************************************************************
 *
 * tipaction.h -- define tip macros
 * Copyright (C) 1999  DigiLib Systems Limited, New Zealand
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: tipaction.h 515 1999-09-02 00:29:27Z rjmcnab $
 *
 *********************************************************************/


#ifndef TIPACTION_H
#define TIPACTION_H

#include "gsdlconf.h"
#include "action.h"


// tipaction exists just for the benefit of defining external macros
class tipaction : public action {
public:
  tipaction ();
  virtual ~tipaction () {}
  text_t get_action_name () {return "tip";}
  
  void define_external_macros (const ColInfoResponse_t &collectinfo, displayclass &disp, 
			       cgiargsclass &args, recptproto *collectproto, 
			       ostream &logout);
};


#endif
